Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - python2-speechrecognition

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: python2-speechrecognition 3.5.0-1

Git Clone URL: https://aur-dev.archlinux.org/python-speechrecognition.git (read-only)
Package Base: python-speechrecognition
Description: Google-powered speech recognition for Python
Upstream URL: https://github.com/Uberi/speech_recognition
Licenses: MIT
Submitter: SirCmpwn
Maintainer: xantares
Last Packager: xantares
Votes: 1
Popularity: 0.002092
First Submitted: 2015-01-29 02:22
Last Updated: 2016-12-19 09:52

Latest Comments

bijan commented on 2016-05-19 16:54

I changed PKGBUILD to include 3.4.5 version and added pyaudio and pocketsphinx as dependencies. hope it helps others as well:

pkgname=python-speechrecognition
_pkgname=speech_recognition
pkgver=3.4.5
pkgrel=1
pkgdesc="Google-powered speech recognition for Python"
arch=('i686' 'x86_64')
url="https://github.com/Uberi/speech_recognition"
license=('MIT')
depends=('python', 'pyaudio', 'pocketsphinx')
source=(https://github.com/Uberi/speech_recognition/archive/$pkgver.tar.gz)
md5sums=('b20d0bd216b0138112950d31e004347f')

build() {
cd $srcdir/$_pkgname-$pkgver
python setup.py build
}

package() {
cd $srcdir/$_pkgname-$pkgver
python setup.py install --root=$pkgdir
}